Bug 18504 - Amount owed on fines tab should be formatted as price if <10 or credit
Summary: Amount owed on fines tab should be formatted as price if <10 or credit
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-27 19:38 UTC by Nick Clemens
Modified: 2017-12-07 22:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug Bug 18504 - Amount owed on fines tab should be formatted as price if <10 or credit (2.28 KB, patch)
2017-04-27 19:41 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF] Bug Bug 18504 - Amount owed on fines tab should be formatted as price if <10 or credit (2.35 KB, patch)
2017-04-27 21:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18504 - Amount owed on fines tab should be formatted as price if <10 or credit (2.39 KB, patch)
2017-05-11 12:42 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-04-27 19:38:57 UTC
We use price formatting for fines over 10, but not otherwise
Comment 1 Nick Clemens 2017-04-27 19:41:53 UTC
Created attachment 62803 [details] [review]
Bug Bug 18504 - Amount owed on fines tab should be formatted as price if <10 or credit

To test:
1 - Give a patron a fine of 1
2 - View opac fines tab, it shows as '1'
3 - Give patron a credit of '1'
4 - View opac fines tab, it shows as '1'
5 - Apply patch
6 - Both now show as '1.00'
Comment 2 Nick Clemens 2017-04-27 21:11:13 UTC
Created attachment 62805 [details] [review]
[SIGNED-OFF] Bug Bug 18504 - Amount owed on fines tab should be formatted as price if <10 or credit

To test:
1 - Give a patron a fine of 1
2 - View opac fines tab, it shows as '1'
3 - Give patron a credit of '1'
4 - View opac fines tab, it shows as '1'
5 - Apply patch
6 - Both now show as '1.00'

Signed-off-by: Lisa Gugliotti <lisa@hchlibrary.org>
Comment 3 Julian Maurice 2017-05-11 12:42:19 UTC
Created attachment 63383 [details] [review]
Bug 18504 - Amount owed on fines tab should be formatted as price if <10 or credit

To test:
1 - Give a patron a fine of 1
2 - View opac fines tab, it shows as '1'
3 - Give patron a credit of '1'
4 - View opac fines tab, it shows as '1'
5 - Apply patch
6 - Both now show as '1.00'

Signed-off-by: Lisa Gugliotti <lisa@hchlibrary.org>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Kyle M Hall 2017-05-12 13:07:08 UTC
Pushed to master for 17.05, thanks Nick!
Comment 5 Katrin Fischer 2017-05-14 10:05:00 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 6 Julian Maurice 2017-05-22 11:31:06 UTC
Pushed to 3.22.x for 3.22.21
Comment 7 Mason James 2017-05-24 02:39:36 UTC
Pushed to 16.05.x, for 16.05.13 release